problem with jquery 3.3.1 and fancybox

Issues related to previewing and publishing your web site.
Post Reply
wb_user
 
 
Posts: 492
Joined: Sun Jul 05, 2015 7:03 am

problem with jquery 3.3.1 and fancybox

Post by wb_user » Thu Mar 29, 2018 10:11 am

hello
1. please add photo gallery
2. please add image and set that to open lightbox gallery - fancybox mode
3. change page option to jquery 3.3.1-min
fancybox not work correctly image not close.

User avatar
Pablo
 
Posts: 13945
Joined: Tue Mar 28, 2006 12:00 pm
Location: Europe
Contact:

Re: problem with jquery 3.3.1 and fancybox

Post by Pablo » Thu Mar 29, 2018 10:18 am

The included version of FancyBox is not compatible with newer versions of jQuery.
Unfortunately, we are not allowed to distribute the latest version of FancyBox. So, either use a different lightbox or set the jQuery version to an older version.

Please note that FancyBox is third party script, it is provided "AS IS".

wb_user
 
 
Posts: 492
Joined: Sun Jul 05, 2015 7:03 am

Re: problem with jquery 3.3.1 and fancybox

Post by wb_user » Thu Mar 29, 2018 11:24 am

hello
" are not allowed to distribute the latest version of FancyBox "
why?

User avatar
Pablo
 
Posts: 13945
Joined: Tue Mar 28, 2006 12:00 pm
Location: Europe
Contact:

Re: problem with jquery 3.3.1 and fancybox

Post by Pablo » Thu Mar 29, 2018 12:03 pm

The license for the current version does not allow commercial usage/distribution.

See the license:
http://fancyapps.com/fancybox/

User avatar
zinc
 
 
Posts: 1514
Joined: Sat Dec 08, 2007 3:06 pm
Location: London, United Kingdom

Re: problem with jquery 3.3.1 and fancybox

Post by zinc » Fri Mar 30, 2018 11:29 am

Pablo;

Can't you make it into an extension (like you did before with another commercial script) whereby the user has to buy/download the script and simply point the extension to the files? FancyBox is very very useful and it would be a shame and this way you are on the right side of the law so to speak.

Just an idea.

Z

User avatar
Pablo
 
Posts: 13945
Joined: Tue Mar 28, 2006 12:00 pm
Location: Europe
Contact:

Re: problem with jquery 3.3.1 and fancybox

Post by Pablo » Fri Mar 30, 2018 11:52 am

I am not allowed to distribute the files so I cannot turn it into an extension.
However, basically all you will need to you can replace the old fancybox files with the new files yourself.
The files are located in the 'lightbox/fancybox' folder.

wb_user
 
 
Posts: 492
Joined: Sun Jul 05, 2015 7:03 am

Re: problem with jquery 3.3.1 and fancybox

Post by wb_user » Sun Apr 01, 2018 7:43 am

FancyBox is very very useful
and I also say : FancyBox is very very useful
many of my images uses FancyBox photo gallery so i cant change thats to another photo gallery
i love lightbox gallery / fancebox!
is this problem can resolve in new version of WB(13)?

User avatar
Pablo
 
Posts: 13945
Joined: Tue Mar 28, 2006 12:00 pm
Location: Europe
Contact:

Re: problem with jquery 3.3.1 and fancybox

Post by Pablo » Sun Apr 01, 2018 8:49 am

is this problem can resolve in new version of WB
I may not distribute the new version of FancyBox.

Note that this has nothing to do with WWB, so an update will not change this.

User avatar
zinc
 
 
Posts: 1514
Joined: Sat Dec 08, 2007 3:06 pm
Location: London, United Kingdom

Re: problem with jquery 3.3.1 and fancybox

Post by zinc » Tue Apr 03, 2018 6:37 am

Pablo wrote:
Sun Apr 01, 2018 8:49 am
is this problem can resolve in new version of WB
I may not distribute the new version of FancyBox.

Note that this has nothing to do with WWB, so an update will not change this.

Pablo you do not need to distribute the files, all you do is what you did in this extension. Let the user download the files. Remember?

Image

User avatar
Pablo
 
Posts: 13945
Joined: Tue Mar 28, 2006 12:00 pm
Location: Europe
Contact:

Re: problem with jquery 3.3.1 and fancybox

Post by Pablo » Tue Apr 03, 2018 6:46 am

Ok, thanks, I will think about this.

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests